ExternalResourceSelectionEvent (VRE Definition Portlet 4.4.0-3.11.0-125802 API)
Date: 2016-05-12

org.gcube.portlets.admin.vredefinition.client.event

## Class ExternalResourceSelectionEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<ExternalResourceSelectionEventHandler>
    - - org.gcube.portlets.admin.vredefinition.client.event.ExternalResourceSelectionEvent

-     public class ExternalResourceSelectionEvent
      extends com.google.gwt.event.shared.GwtEvent<ExternalResourceSelectionEventHandler>

  Version:
    0.2 Sep 2012
  Author:
    Massimiliano Assante ISTI-CNR

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.google.gwt.event.shared.GwtEvent.Type<ExternalResourceSelectionEventHandler>` | `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalResourceSelectionEvent(VREFunctionalityModel functionality, List<ExternalResourceModel> resources)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(ExternalResourceSelectionEventHandler handler)`
    `List<ExternalResourceModel>` | `getAssociatedExternalResources()`
    `com.google.gwt.event.shared.GwtEvent.Type<ExternalResourceSelectionEventHandler>` | `getAssociatedType()`
    `VREFunctionalityModel` | `getFunctionalityModel()`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static com.google.gwt.event.shared.GwtEvent.Type<ExternalResourceSelectionEventHandler> TYPE

  - ### Constructor Detail

    - #### ExternalResourceSelectionEvent

          public ExternalResourceSelectionEvent(VREFunctionalityModel functionality,
                                        List<ExternalResourceModel> resources)

  - ### Method Detail

    - #### getAssociatedExternalResources

          public List<ExternalResourceModel> getAssociatedExternalResources()

    - #### getFunctionalityModel

          public VREFunctionalityModel getFunctionalityModel()

    - #### dispatch

          protected void dispatch(ExternalResourceSelectionEventHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<ExternalResourceSelectionEventHandler>`

    - #### getAssociatedType

          public com.google.gwt.event.shared.GwtEvent.Type<ExternalResourceSelectionEventHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<ExternalResourceSelectionEventHandler>`

Copyright © 2016. All Rights Reserved.